// $Id: textencoder.h,v 1.4 2002/04/22 23:07:41 jjlupa Exp $
//
// ypost (Yet Another Poster)
// This code is copyright John Ridley, 2000. <john.ridley@gt.org>  To the
//  extent that it is released, it is released under the GNU General Public License
//  v2 or greater. The author retains all rights with respect to this code.
//
// If you have a desire to use this code outside of the GPL, drop me an email and
//  I would be happy to work with you under an alternate licence.  If you just want
//  to write code, then I would probably be happy to release it to you as under
//  the perl artistic license.

// textencoder.h
// doesn't really encode anything, just passes the file as is

#ifndef YPOST_TEXTENCODE_H_
#define YPOST_TEXTENCODE_H_

#include "encode.h"

class textencoder : public generic_encoder
{
public:
    textencoder(const char *pszFilename, long LinesPerPost);
    virtual long BufSpaceNeeded()
    {
        return m_filesize+1;
    }
    virtual bool EncodeSegment(long segment, char *buf, long size);
};

#endif // __YPOST_TEXTENCODE_H__
