// $Id: uuencode.h,v 1.4 2002/04/22 23:07:41 jjlupa Exp $
//
// ypost (Yet Another Poster)
// This code is copyright John Ridley, 2000. <john.ridley@gt.org>  To the
//  extent that it is released, it is released under the GNU General Public License
//  v2 or greater. The author retains all rights with respect to this code.
//
// If you have a desire to use this code outside of the GPL, drop me an email and
//  I would be happy to work with you under an alternate licence.  If you just want
//  to write code, then I would probably be happy to release it to you as under
//  the perl artistic license.

// uuencode.h

#ifndef YPOST_UUENCODE_H_
#define YPOST_UUENCODE_H_

#include "encode.h"

class uuencode : public generic_encoder
{
public:
    uuencode(const char *pszFilename, long LinesPerPost);
    virtual long BufSpaceNeeded();
    virtual bool EncodeSegment(long segment, char *buf, long size);

protected:
    bool m_bDidHeader;
    enum {_EncodedBytesPerLine = 60, _RawBytesPerLine = 45};
};

#endif // __YPOST_UUENCODE_H__
