// $Id: ypost.h,v 1.5 2002/05/22 20:09:33 jjlupa Exp $
//
// ypost (Yet Another Poster)
// This code is copyright John Ridley, 2000. <john.ridley@gt.org>  To the
//  extent that it is released, it is released under the GNU General Public License
//  v2 or greater. The author retains all rights with respect to this code.
//
// If you have a desire to use this code outside of the GPL, drop me an email and
//  I would be happy to work with you under an alternate licence.  If you just want
//  to write code, then I would probably be happy to release it to you as under
//  the perl artistic license.

// ypost.h - some global definitions

#ifndef YPOST_YPOST_H_
#define YPOST_YPOST_H_

#define YPOST_VER_ "YPOST usenet poster version 0.2"

#include <string>

// my own little exception class
class Ypost_Exception
{
public:
    typedef enum {_FATAL_, _NONFATAL_} extype;

    Ypost_Exception(extype severity, std::string info);

    extype getSeverity()
    {
        return m_Severity;
    }
    std::string getInfo()
    {
        return m_Info;
    }

protected:
    extype m_Severity;  // simple, direct access
    std::string m_Info;
};

#endif
